---
title: Assign sponsor to timeslot
slug: assign-sponsor-to-timeslot
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors",
  "name": "Assign speakers to timeslot",
  "method": "POST",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "language": "200",
        "code": "[\n  {\n    \"data\": {\n      \"id\": \"15407\",\n      \"type\": \"session-sponsor\",\n      \"attributes\": {\n        \"label\": \"Sponsor\",\n        \"position\": 1\n      },\n      \"relationships\": {\n        \"sponsor\": {\n          \"data\": {\n            \"id\": \"235711\",\n            \"type\": \"sponsor\"\n          }\n        },\n        \"timeslot\": {\n          \"data\": {\n            \"id\": \"729268\",\n            \"type\": \"timeslot\"\n          }\n        }\n      }\n    },\n    \"included\": [\n      {\n        \"id\": \"729268\",\n        \"type\": \"timeslot\",\n        \"attributes\": {\n          \"external-id\": \"8\",\n          \"title\": \"Test Session\",\n          \"reservable\": false,\n          \"duration\": 750,\n          \"location\": null,\n          \"content\": {\n            \"blocks\": [\n              {\n                \"key\": \"91q3d\",\n                \"text\": \"\",\n                \"type\": \"unstyled\",\n                \"depth\": 0,\n                \"inlineStyleRanges\": [],\n                \"entityRanges\": [],\n                \"data\": {}\n              }\n            ],\n            \"entityMap\": {}\n          },\n          \"subtitle\": null,\n          \"highlight-position\": null,\n          \"stream-link\": null,\n          \"uses-rsvp\": true,\n          \"uses-attendee-list\": true,\n          \"uses-ticket-qr-code\": null,\n          \"uses-rsvp-cancellation\": true,\n          \"uses-ratings\": false,\n          \"attendance-registration-open\": true,\n          \"attendance-cap\": null,\n          \"attendance-registrations-count\": 1,\n          \"organizer-reserved-attendance-slots\": 0,\n          \"color\": null,\n          \"show-sponsor-logo-in-schedule\": null,\n          \"rateable-by\": \"bookmarked_attendees_only\",\n          \"session-sponsors-section-title\": \"Sponsored by\",\n          \"child-sessions-section-title\": null,\n          \"start-time\": \"2030-04-30T18:00:00.000Z\",\n          \"end-time\": \"2030-05-01T06:30:00.000Z\",\n          \"parent-timeslot-id\": null,\n          \"sponsor-id\": null,\n          \"main-sponsor\": null,\n          \"tag-order\": []\n        },\n        \"relationships\": {\n          \"tags\": {\n            \"data\": []\n          },\n          \"locations\": {\n            \"data\": []\n          },\n          \"speaker-assignments\": {\n            \"data\": []\n          },\n          \"tabs\": {\n            \"data\": []\n          },\n          \"attendee-groups\": {\n            \"data\": []\n          },\n          \"custom-fields\": {\n            \"data\": []\n          },\n          \"event\": {\n            \"data\": {\n              \"id\": \"9144\",\n              \"type\": \"event\"\n            }\n          },\n          \"track\": {\n            \"data\": {\n              \"id\": \"32285\",\n              \"type\": \"track\"\n            }\n          }\n        }\n      },\n      {\n        \"id\": \"235711\",\n        \"type\": \"sponsor\",\n        \"attributes\": {\n          \"id\": 235711,\n          \"external-id\": null,\n          \"name\": \"Brella\",\n          \"order\": null,\n          \"logo-url\": \"\",\n          \"cover-image-url\": null,\n          \"website\": null,\n          \"twitter\": null,\n          \"linkedin\": null,\n          \"facebook\": null,\n          \"instagram\": null,\n          \"subtitle\": null,\n          \"industry\": null,\n          \"position\": 406,\n          \"content\": null,\n          \"uses-chat\": null,\n          \"app-sponsor\": false,\n          \"app-sponsor-image-url\": null,\n          \"app-sponsor-label\": null,\n          \"cta-text\": \"Visit booth\",\n          \"uses-analytics\": null,\n          \"lead-scanning-enabled\": true,\n          \"has-automatic-representatives-linking\": true,\n          \"location-country\": null,\n          \"location-state\": null,\n          \"created-at\": \"2025-09-11T06:35:01.148Z\",\n          \"updated-at\": \"2025-09-11T06:35:01.148Z\",\n          \"representatives-linking-method\": \"partial_company_name_match\",\n          \"company-domains\": [],\n          \"chat-channel-id\": null\n        },\n        \"relationships\": {\n          \"category\": {\n            \"data\": {\n              \"id\": \"22267\",\n              \"type\": \"sponsor-category\"\n            }\n          },\n          \"attendees\": {\n            \"data\": []\n          },\n          \"deck-media\": {\n            \"data\": []\n          },\n          \"attachments\": {\n            \"data\": []\n          },\n          \"tabs\": {\n            \"data\": []\n          },\n          \"selected-interests\": {\n            \"data\": []\n          },\n          \"products\": {\n            \"data\": []\n          },\n          \"custom-fields\": {\n            \"data\": []\n          }\n        }\n      }\n    ]\n  }\n]",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "cRAJpOUmTVUqZjfUl_-OZ",
        "language": "curl",
        "code": "curl --location -g --request POST 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'\\\n--data '{\n    \"session_sponsor\": {\n        \"sponsor_id\": {{sponsor_id}},\n        \"timeslot_id\": {{timeslot_id}},\n        \"label\": \"{{label_name}}\"\n    } \n}'\n\n\n\n\n\n\n\n\n\n\n\n\n\n'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "cRAJpOUmTVUqZjfUl_-OZ"
  },
  "description": "Assign existing speakers in your event to any existing content-type timeslot",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "assign-speakers-to-timeslot",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**REQUEST BODY**

:::BlockQuote
\{
&#x20;   "session\_sponsor": \{
&#x20;       "sponsor\_id": \{\{sponsor\_id}},
&#x20;       "timeslot\_id": \{\{timeslot\_id}},
&#x20;       "label": "\{\{label\_name}}"
&#x20;   }&#x20;
}
:::

**Required attributes:**

- `sponsor_id` Number / the unique identifier generated by Brella for the sponsors (can be retrieved via the sponsors endpoints)&#x20;
- `timeslot_id` Number / the unique identifier generated by Brella for the timeslot (can be retrieved via the timeslot endpoints)
- `label` String / see notes for supported values

**Notes:**

**01:** Both the sponsor and timeslot need to exist in the event. This endpoint can't create these entities for you.

**02:** The `label` attribute can be passed with any strings and will be displayed under the Schedule -> Sponsors -> Sponsors.

**03:&#x20;**&#x54;here is duplicate validation in this endpoint. It will not create duplicates in the following situation: The provided \{sponsorId} and \{timeslotId} combination are the same as an existing speaker assignment.

